Delete Mcp Server
Delete an existing MCP server configuration.
This method allows you to delete a previously created MCP server configuration using its ID.
Deleting an MCP server also removes all associated tools. The operation fails if any tools are linked to an agent.
Request
URI
DELETE
https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}
COPY
Path Parameters
string
mcp_server_id
Required
mcp_server_id
Responses
200
Successful Response
Returns
DeletionStatusResponse
of type(s)
application/json
{
"id": "string",
"object": "string",
"deleted": false
}
string As uuid
As uuid
id
Required
id
string
object
Required
object
boolean
deleted
Required
deleted
404
Invalid MCP server ID.
Operation doesn't return any data structure
409
The MCP server cannot be deleted because its tools are in use.
Operation doesn't return any data structure
422
Validation Error
Returns
HTTPValidationError
of type(s)
application/json
{
"detail": [
{
"loc": [
{}
],
"msg": "string",
"type": "string"
}
]
}
array of
object
detail
Optional
detail
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}
Mcp Servers Operations
GET
List Tools
GET
List Mcp Servers
POST
Create Mcp Server
GET
Get Mcp Server
PATCH
Update Mcp Server
DELETE
Delete Mcp Server
GET
Test Mcp Server Configuration
POST
Test Mcp Server Connectivity
POST
Update Tool Approval
POST
Batch Update Tool Approval
GET
Get Headers
PUT
Update Headers
PATCH
Patch Headers
DELETE
Delete Header